Subject: [bitcoin-dev] Setting up bitcoin dev environment ( bitcoind, bitcoin-cli )

From: Maksim Solovjov <[email-masked]>
Date: Fri, 9 Feb 2018 12:55:44 +0200

Hi guys,

I am trying to set up the bitcoin development environment on my Mac.

I installed the Bitcoin Core client ( bitcoin-qt ) and also downloaded the
binaries.

I face the following issues and hope you can help me to resolve these:

1) Can't open the configuration file from bitcoin-qt.
I have a configuration file $HOME/Library/Application
Support/Bitcoin/bitcoin.conf
but it's empty.
When I try to open it via bitcoin-qt ( Preferences -> Show configuration
file ) it shows me a popup with an error "Configuration file could not be
opened".
I tried to change the permissions: "chmod 600"...no luck...

2) I can launch bitcoind in -regtest regime.
But when I launch *bitcoin-cli -regtest setgenerate true 101*
I get an error:

> error code: -32601
> error message:
> Method not found

3) If I try *bitcoin-cli getinfo*
I get an error:

> error: Could not locate RPC credentials. No authentication cookie could be
> found, and no rpcpassword is set in the configuration file
> (/Users/..../Library/Application Support/Bitcoin/bitcoin.conf)

Hope you can help me!
Thanks

Best,